package com.liangjian.dataplatform.member.service;


import com.liangjian.dataplatform.member.entity.po.secondary.FiltersData;
import com.liangjian.dataplatform.member.entity.tag.EsTagInfo;

import java.util.List;
import java.util.Map;

public interface IMemEsCountService {

    Map<String, Object> getOrderCount();

    Map<String, Object> getMemeberCount(String tagKey, String zkey, String sexkey);

    Map<String, Object> getMemeberDayCount(Integer mDay);

    Map<String, Object> getAllTagList(FiltersData data);

    Map<String, Object> getTagTypes(FiltersData data);

    Map<String, Object> getUsedrug(FiltersData data);

    String editTag(EsTagInfo esTagInfo);

    boolean deleteTag(String tagId);

    String editType(EsTagInfo esTagInfo);

    List<Map<String, Object>> getTagTypesAll();
}
